| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Public Types | Public Member Functions | List of all members
Ogre::VertexPoseKeyFrame Class Reference
Core » Animation

Specialised KeyFrame which references a Mesh::Pose at a certain influence level, which stores offsets for a subset of the vertices in a buffer to provide a blendable pose. More...

`#include <OgreKeyFrame.h>`

Inheritance diagram for Ogre::VertexPoseKeyFrame:
[legend]

## Classes
struct | PoseRef
| Reference to a pose at a given influence level. More...

## Public Types
typedef ConstVectorIterator< PoseRefList > | ConstPoseRefIterator
typedef VectorIterator< PoseRefList > | PoseRefIterator
typedef std::vector< PoseRef > | PoseRefList

## Public Member Functions
| VertexPoseKeyFrame (const AnimationTrack *parent, Real time)
| Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead. More...
| ~VertexPoseKeyFrame ()
void | _applyBaseKeyFrame (const VertexPoseKeyFrame *base)
KeyFrame * | _clone (AnimationTrack *newParent) const
| Clone a keyframe (internal use only) More...
void | addPoseReference (ushort poseIndex, Real influence)
| Add a new pose reference. More...
PoseRefIterator | getPoseReferenceIterator (void)
| Get an iterator over the pose references. More...
ConstPoseRefIterator | getPoseReferenceIterator (void) const
| Get a const iterator over the pose references. More...
const PoseRefList & | getPoseReferences (void) const
| Get a const reference to the list of pose references. More...
Real | getTime (void) const
| Gets the time of this keyframe in the animation sequence. More...
void | removeAllPoseReferences (void)
| Remove all pose references. More...
void | removePoseReference (ushort poseIndex)
| Remove reference to a given pose. More...
void | updatePoseReference (ushort poseIndex, Real influence)
| Update the influence of a pose reference. More...

## Detailed Description

Specialised KeyFrame which references a Mesh::Pose at a certain influence level, which stores offsets for a subset of the vertices in a buffer to provide a blendable pose.

## Member Typedef Documentation

## ◆ PoseRefList

typedef std::vector<PoseRef> Ogre::VertexPoseKeyFrame::PoseRefList

## ◆ PoseRefIterator

typedef VectorIterator<PoseRefList> Ogre::VertexPoseKeyFrame::PoseRefIterator

## ◆ ConstPoseRefIterator

typedef ConstVectorIterator<PoseRefList> Ogre::VertexPoseKeyFrame::ConstPoseRefIterator

## Constructor & Destructor Documentation

## ◆ VertexPoseKeyFrame()

Ogre::VertexPoseKeyFrame::VertexPoseKeyFrame | ( | const AnimationTrack * | parent,
|  | Real | time
| ) |  |

Default constructor, you should not call this but use AnimationTrack::createKeyFrame instead.

## ◆ ~VertexPoseKeyFrame()

Ogre::VertexPoseKeyFrame::~VertexPoseKeyFrame | ( |  | ) |
| inline

## Member Function Documentation

## ◆ addPoseReference()

void Ogre::VertexPoseKeyFrame::addPoseReference | ( | ushort | poseIndex,
|  | Real | influence
| ) |  |

Add a new pose reference.

See also
  PoseRef

## ◆ updatePoseReference()

void Ogre::VertexPoseKeyFrame::updatePoseReference | ( | ushort | poseIndex,
|  | Real | influence
| ) |  |

Update the influence of a pose reference.

See also
  PoseRef

## ◆ removePoseReference()

void Ogre::VertexPoseKeyFrame::removePoseReference | ( | ushort | poseIndex | ) |

Remove reference to a given pose.

Parameters

  poseIndex | The pose index (not the index of the reference)

## ◆ removeAllPoseReferences()

void Ogre::VertexPoseKeyFrame::removeAllPoseReferences | ( | void |  | ) |

Remove all pose references.

## ◆ getPoseReferences()

const PoseRefList& Ogre::VertexPoseKeyFrame::getPoseReferences | ( | void |  | ) | const

Get a const reference to the list of pose references.

## ◆ getPoseReferenceIterator() [1/2]

PoseRefIterator Ogre::VertexPoseKeyFrame::getPoseReferenceIterator | ( | void |  | ) |

Get an iterator over the pose references.

Deprecated:
  use getPoseReferences()

## ◆ getPoseReferenceIterator() [2/2]

ConstPoseRefIterator Ogre::VertexPoseKeyFrame::getPoseReferenceIterator | ( | void |  | ) | const

Get a const iterator over the pose references.

Deprecated:
  use getPoseReferences()

## ◆ _clone()

KeyFrame* Ogre::VertexPoseKeyFrame::_clone | ( | AnimationTrack * | newParent | ) | const
| virtual

Clone a keyframe (internal use only)

Reimplemented from Ogre::KeyFrame.

## ◆ _applyBaseKeyFrame()

void Ogre::VertexPoseKeyFrame::_applyBaseKeyFrame | ( | const VertexPoseKeyFrame * | base | ) |

## ◆ getTime()

Real Ogre::KeyFrame::getTime | ( | void |  | ) | const
| inline inherited

Gets the time of this keyframe in the animation sequence.

The documentation for this class was generated from the following file:

- OgreKeyFrame.h